bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#26298: 26.0.50; Gnus fails to sign mail with PGP


From: Basil L. Contovounesios
Subject: bug#26298: 26.0.50; Gnus fails to sign mail with PGP
Date: Fri, 18 May 2018 10:55:33 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)

Noam Postavsky <address@hidden> writes:

> * lisp/epa-file.el (epa-file-insert-file-contents)
> (epa-file-write-region):
> * lisp/epa.el(epa-decrypt-file, epa-sign-file)
              ^^
Should there be a space here, or does it not matter?

> diff --git a/etc/NEWS b/etc/NEWS
> index c7ffb17ad3..4a4c8f2de4 100644
> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -442,6 +442,9 @@ are formatted as MIME digests.
>  *** 'message-forward-included-headers' has changed its default to
>  exclude most headers when forwarding.
>  
> +** 'epa-pinentry-mode' is renamed to 'epg-pinentry-mode',

Looks like that trailing comma should be a full stop.

> diff --git a/lisp/epa.el b/lisp/epa.el
> index a375cd6170..b9e7cbbb94 100644
> --- a/lisp/epa.el
> +++ b/lisp/epa.el
> @@ -56,27 +56,8 @@ epa-info-window-height
>    :type 'integer
>    :group 'epa)
>  
> -;; In the doc string below, we say "symbol `error'" to avoid producing
> -;; a hyperlink for `error' the function.
> -(defcustom epa-pinentry-mode nil
> -  "The pinentry mode.
> -
> -GnuPG 2.1 or later has an option to control the behavior of
> -Pinentry invocation.  The value should be the symbol `error',
> -`ask', `cancel', or `loopback'.  See the GnuPG manual for the
> -meanings.
> -
> -In epa commands, a particularly useful mode is `loopback', which
> -redirects all Pinentry queries to the caller, so Emacs can query
> -passphrase through the minibuffer, instead of external Pinentry
> -program."
> -  :type '(choice (const nil)
> -              (const ask)
> -              (const cancel)
> -              (const error)
> -              (const loopback))
> -  :group 'epa
> -  :version "25.1")
> +(define-obsolete-variable-alias
> +  'epa-entry-mode 'epg-entry-mode "27.1")

These should be epa-pinentry-mode and epg-pinentry-mode, respectively,
right?

> diff --git a/lisp/epg-config.el b/lisp/epg-config.el
> index d30ebea2d6..ea57adc12f 100644
> --- a/lisp/epg-config.el
> +++ b/lisp/epg-config.el
> @@ -74,6 +74,28 @@ epg-passphrase-coding-system
>    :group 'epg
>    :type 'symbol)
>  
> +
> +;; In the doc string below, we say "symbol `error'" to avoid producing
> +;; a hyperlink for `error' the function.
> +(defcustom epg-pinentry-mode nil
> +  "The pinentry mode.
> +
> +GnuPG 2.1 or later has an option to control the behavior of
> +Pinentry invocation.  The value should be the symbol `error',
> +`ask', `cancel', or `loopback'.  See the GnuPG manual for the
> +meanings.
> +
> +A particularly useful mode is `loopback', which redirects all
> +Pinentry queries to the caller, so Emacs can query passphrase
> +through the minibuffer, instead of external Pinentry program."
> +  :type '(choice (const nil)
> +              (const ask)
> +              (const cancel)
> +              (const error)
> +              (const loopback))
> +  :group 'epa
> +  :version "27.1")

Should the :group be changed to 'epg?

-- 
Basil





reply via email to

[Prev in Thread] Current Thread [Next in Thread]